QGIS Application - Bug report #16181
Impossible to load windows of any functions of GRASS 6 in Processing (QGIS 2.14.11)
2017-02-11 02:57 PM - Olivier ATHIMON

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.14.11 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24091
Description

With the new QGIS LTR 2.14.11 (and QGIS LTR-dev 2.14.11-11), it is impossible to load windows of any functions of GRASS 6...

Tried with : r.univar, v.clean, r.to.vect, r.reclass, any functions of GRASS 6...

When i choose rl have this message in console Python:
Traceback (most recent call last):
File "C:/OSGEO4~1/apps/qgis-Itr-dev/./python/plugins\\processing\\gui\\Processing Toolbox.py", line 243, in executeAlgorithm
dlg = AlgorithmDialog(alg)
File "C:/OSGEO4~1/apps/qgis-Itr-dev/./python/plugins\\processing\\gui\\AlgorithmDialog.py", line 69, in init
AlgorithmDialogBase.__init__(self, alg)
File "C:/OSGEO4~1/apps/qgis-Itr-dev/./python/plugins\\processing\\gui\\AlgorithmDialogBase.py", line 91, in init
isText, algHelp = self.alg.help()
File "C:/OSGEO4~1/apps/qgis-ltr-dev/./python/plugins\\processing\\algs\\grass\\GrassAlgorithm.py", line 88, in help
return False, QUrl.fromLocalFile(os.path.join(helpPath, '{}.html".format(self.grassName))).toString()
NameError: global name 'QUTrl" is not defined

It was running without problems with QGIS LTR 2.14.10...

Associated revisions

Revision aba58a27 - 2017-02-12 11:24 AM - Jiirgen Fischer

[processing] added missing import (fixes #16181)
(backported from 84bef5f; followup b003cbe0)

History

#1 - 2017-02-12 02:19 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"aba58a27e51b0347c614a83f7817ecaef8d23fb4".
